This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 859731 - Review Request: php-channel-sabredav - adds the SabreDAV channel to php-pear
Review Request: php-channel-sabredav - adds the SabreDAV channel to php-pear
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 858841 862502
  Show dependency treegraph
 
Reported: 2012-09-23 11:22 EDT by Joseph Marrero
Modified: 2012-11-28 12:37 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-20 23:03:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
php-channel-sabredav-review.txt (6.79 KB, text/plain)
2012-09-25 12:25 EDT, Remi Collet
no flags Details

  None (edit)
Description Joseph Marrero 2012-09-23 11:22:53 EDT
Spec URL: http://jmarrero.fedorapeople.org/packages/owncloud-deps/php-channel-sabredav/php-channel-sabredav.spec
SRPM URL: http://jmarrero.fedorapeople.org/packages/owncloud-deps/php-channel-sabredav/php-channel-sabredav-1.3-2.fc17.src.rpm
Description: This package adds the SabreDAV channel which allows PEAR packages
from this channel to be installed.
Fedora Account System Username:jmarrero
Comment 1 Joseph Marrero 2012-09-23 11:34:28 EDT
Successful Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4517570
Comment 2 Remi Collet 2012-09-25 12:25:17 EDT
Created attachment 617126 [details]
php-channel-sabredav-review.txt

Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Comment 3 Remi Collet 2012-09-25 12:30:53 EDT
From spec : License: BSD

Channel package are very special package for which license have no real meaning (only 1 generated file).

I think acceptable value are:
- License of extension available in the channel, but for this one, some are MIT, some are BSD
- License explicitly request by upstream
- Public Domain, see http://lists.fedoraproject.org/pipermail/legal/2012-May/001915.html

Please see the attached for minor rpmlint issue (tab/space, rm BUILDROOT)
Comment 5 Remi Collet 2012-10-02 01:46:54 EDT
6c6
< Release:    2%{?dist}
---
> Release:    3%{?dist}
10c10
< License:    BSD
---
> License:    Public Domain
35d34
< rm -rf $RPM_BUILD_ROOT
58a58,60
> * Mon Oct 01 2012 Joseph Marrero <jmarrero@fedoraproject.org> - 1.3-3
> - remove rm -rf %%BUILDROOT from install
> - change licence to public domain


rpmlint output :
php-channel-sabredav.spec:19: W: unversioned-explicit-provides php-channel(%{channelname})
php-channel-sabredav.spec:41: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 41)


No Blocker:
== APPROVED ==
Comment 6 Gregor Tätzner 2012-10-02 08:31:40 EDT
Please request the branch 'el6', too. If you don't cant/want support epel, I will offer you my co-maintainership there.
Comment 7 Joseph Marrero 2012-10-02 10:16:23 EDT
New Package SCM Request
=======================
Package Name: php-channel-sabredav
Short Description: adds the SabreDAV channel to php-pear
Owners: jmarrero
Branches: f17 f18 el6
InitialCC:
Comment 8 Gwyn Ciesla 2012-10-02 10:24:34 EDT
Git done (by process-git-requests).
Comment 9 Ismael Olea 2012-10-09 13:28:33 EDT
How about el5?
Comment 10 Ismael Olea 2012-10-09 13:29:27 EDT
Ups, wrong bug. Sorry.
Comment 11 Joseph Marrero 2012-10-14 03:26:03 EDT
sorry no support for el5 on this packages, all the deps and OwnCloud server are being build for el6 f17 f18 and rawhide if I am not mistaken.
Comment 12 Fedora Update System 2012-11-11 05:59:45 EST
php-sabredav-Sabre_CardDAV-1.6.5-2.fc18,php-sabredav-Sabre_DAVACL-1.6.0-3.fc18,php-sabredav-Sabre_VObject-1.3.5-2.fc18,php-sabredav-Sabre_HTTP-1.6.4-3.fc18,php-sabredav-Sabre_DAV-1.6.5-1.fc18,php-sabredav-Sabre-1.0.0-6.fc18,php-channel-sabredav-1.3-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-sabredav-Sabre_CardDAV-1.6.5-2.fc18,php-sabredav-Sabre_DAVACL-1.6.0-3.fc18,php-sabredav-Sabre_VObject-1.3.5-2.fc18,php-sabredav-Sabre_HTTP-1.6.4-3.fc18,php-sabredav-Sabre_DAV-1.6.5-1.fc18,php-sabredav-Sabre-1.0.0-6.fc18,php-channel-sabredav-1.3-3.fc18
Comment 13 Fedora Update System 2012-11-11 06:04:04 EST
php-channel-sabredav-1.3-3.fc17,php-sabredav-Sabre-1.0.0-6.fc17,php-sabredav-Sabre_DAV-1.6.5-1.fc17,php-sabredav-Sabre_HTTP-1.6.4-3.fc17,php-sabredav-Sabre_VObject-1.3.5-2.fc17,php-sabredav-Sabre_DAVACL-1.6.0-3.fc17,php-sabredav-Sabre_CalDAV-1.6.4-3.fc17,php-sabredav-Sabre_CardDAV-1.6.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-channel-sabredav-1.3-3.fc17,php-sabredav-Sabre-1.0.0-6.fc17,php-sabredav-Sabre_DAV-1.6.5-1.fc17,php-sabredav-Sabre_HTTP-1.6.4-3.fc17,php-sabredav-Sabre_VObject-1.3.5-2.fc17,php-sabredav-Sabre_DAVACL-1.6.0-3.fc17,php-sabredav-Sabre_CalDAV-1.6.4-3.fc17,php-sabredav-Sabre_CardDAV-1.6.5-2.fc17
Comment 14 Fedora Update System 2012-11-11 16:10:25 EST
php-channel-sabredav-1.3-3.el6,php-sabredav-Sabre-1.0.0-6.el6,php-sabredav-Sabre_DAVACL-1.6.0-3.el6,php-sabredav-Sabre_DAV-1.6.5-1.el6,php-sabredav-Sabre_HTTP-1.6.4-3.el6,php-sabredav-Sabre_VObject-1.3.5-2.el6,php-sabredav-Sabre_CardDAV-1.6.5-2.el6,php-sabredav-Sabre_CalDAV-1.6.4-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-channel-sabredav-1.3-3.el6,php-sabredav-Sabre-1.0.0-6.el6,php-sabredav-Sabre_DAVACL-1.6.0-3.el6,php-sabredav-Sabre_DAV-1.6.5-1.el6,php-sabredav-Sabre_HTTP-1.6.4-3.el6,php-sabredav-Sabre_VObject-1.3.5-2.el6,php-sabredav-Sabre_CardDAV-1.6.5-2.el6,php-sabredav-Sabre_CalDAV-1.6.4-3.el6
Comment 15 Fedora Update System 2012-11-20 23:03:05 EST
php-channel-sabredav-1.3-3.fc17, php-sabredav-Sabre-1.0.0-6.fc17, php-sabredav-Sabre_DAV-1.6.5-1.fc17, php-sabredav-Sabre_HTTP-1.6.4-3.fc17, php-sabredav-Sabre_VObject-1.3.5-2.fc17, php-sabredav-Sabre_DAVACL-1.6.0-3.fc17, php-sabredav-Sabre_CalDAV-1.6.4-3.fc17, php-sabredav-Sabre_CardDAV-1.6.5-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 16 Fedora Update System 2012-11-23 02:15:53 EST
php-sabredav-Sabre_CardDAV-1.6.5-2.fc18, php-sabredav-Sabre_DAVACL-1.6.0-3.fc18, php-sabredav-Sabre_VObject-1.3.5-2.fc18, php-sabredav-Sabre_HTTP-1.6.4-3.fc18, php-sabredav-Sabre_DAV-1.6.5-1.fc18, php-sabredav-Sabre-1.0.0-6.fc18, php-channel-sabredav-1.3-3.fc18, php-sabredav-Sabre_CalDAV-1.6.4-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 17 Fedora Update System 2012-11-28 12:37:58 EST
php-channel-sabredav-1.3-3.el6, php-sabredav-Sabre-1.0.0-6.el6, php-sabredav-Sabre_DAVACL-1.6.0-3.el6, php-sabredav-Sabre_DAV-1.6.5-1.el6, php-sabredav-Sabre_HTTP-1.6.4-3.el6, php-sabredav-Sabre_VObject-1.3.5-2.el6, php-sabredav-Sabre_CardDAV-1.6.5-2.el6, php-sabredav-Sabre_CalDAV-1.6.4-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.